gRPC C#
gRPC C#
Namespaces
Grpc.Core.Logging
ConsoleLogger Class
ConsoleLogger Methods
Debug Method
Error Method
ForType(T) Method
Info Method
Warning Method

ConsoleLogger ForType T Method

Returns a logger associated with the specified type.

Namespace: Grpc.Core.Logging
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public ILogger ForType<T>()

    Public Function ForType(Of T) As ILogger

    public:
    generic<typename T>
    virtual ILogger^ ForType() sealed

    abstract ForType : unit -> ILogger
    override ForType : unit -> ILogger

#### Type Parameters

T

  [Missing <typeparam name="T"/> documentation for "M:Grpc.Core.Logging.ConsoleLogger.ForType``1"]

#### Return Value

Type: ILogger

#### Implements

ILogger
ForType
T
See Also

#### Reference

ConsoleLogger Class
Grpc.Core.Logging Namespace